



************************************************
************		D-i-D Graph		************
************************************************
{
capture program drop averageDD
program define averageDD
capture drop temp
 
capture drop *coeff* *time* 
capture drop se*_
local avant = `2'
local apres = `3'


local T = `avant'+`apres'+1
forvalues t=1(1)`T'{
if `t'!=`avant'+1{
qui gen time`t'		= (year==yearshock+`t'-`avant'-1)

}
}
capture drop timepost timepre time
gen timepost 	= (year>yearshock+`apres')
gen timepre 	= (year<yearshock-`avant')

reghdfe `1' time* ,a($FE) vce(cluster $cluster)


qui gen time		= 0 if _n==`avant'+2
qui gen coeff		= 0 if _n==`avant'+2
qui gen se_			= 0 if _n==`avant'+2
qui gen coeffinf	= 0 if _n==`avant'+2
qui gen coeffsup	= 0 if _n==`avant'+2

forvalues t=1(1)`T'{
if `t'!=`avant'+1{
qui replace time		= `t'-`avant'-1 if _n==`t'+1
qui replace coeff		= _b[time`t'] if _n==`t'+1
qui replace se_			= _se[time`t'] if _n==`t'+1
qui replace coeffinf	= _b[time`t']-1.95*_se[time`t'] if _n==`t'+1
qui replace coeffsup	= _b[time`t']+1.95*_se[time`t'] if _n==`t'+1
}
}

* adjust pre
qui replace time		= -`avant'-1 if  _n==1
qui replace coeff		= _b[timepre] if time==-`avant'-1
qui replace se_			= _se[timepre] if  _n==1
qui replace coeffinf	= _b[timepre]-1.95*_se[timepre] if _n==1
qui replace coeffsup	= _b[timepre]+1.95*_se[timepre] if _n==1


* adjust post
qui replace time		= `apres'+1 if  _n==`T'+2
qui replace coeff		= _b[timepost] if  _n==`T'+2
qui replace se_			= _se[timepost] if  _n==`T'+2
qui replace coeffinf	= _b[timepost]-1.95*_se[timepost] if _n==`T'+2
qui replace coeffsup	= _b[timepost]+1.95*_se[timepost] if _n==`T'+2

preserve
keep time coeff* se*
keep if time<.
save "$output/`4'",replace

restore
end

// MARGINAL 
capture program drop marginalDD
program define marginalDD
capture drop temp 
* first year of the change
*gen temp       = year if (shock==1) 
*egen yearshock = min(temp),by(id)
 
capture drop *coeff* *time* 
capture drop se*_
local avant = `2'
local apres = `3'


local T = `avant'+`apres'+1
forvalues t=1(1)`T'{
if `t'!=`avant'+1{
qui gen time`t'		= (year==yearshock+`t'-`avant'-1)
qui gen timeX`t'	= (year==yearshock+`t'-`avant'-1)*inter

}
}
capture drop timepost timepre time
gen timepost 	= (year>yearshock+`apres')
gen timepre 	= (year<yearshock-`avant')
gen timeXpost 	= (year>yearshock+`apres')*inter
gen timeXpre 	= (year<yearshock-`avant')*inter


reghdfe `1' time* ,a($FE) vce(cluster $cluster)


qui gen time		= 0 if _n==`avant'+2
qui gen coeff		= 0 if _n==`avant'+2
qui gen se_			= 0 if _n==`avant'+2
qui gen coeffinf	= 0 if _n==`avant'+2
qui gen coeffsup	= 0 if _n==`avant'+2
qui gen coeffX		= 0 if _n==`avant'+2
qui gen seX_		= 0 if _n==`avant'+2
qui gen coeffXinf	= 0 if _n==`avant'+2
qui gen coeffXsup	= 0 if _n==`avant'+2

forvalues t=1(1)`T'{
if `t'!=`avant'+1{
qui replace time		= `t'-`avant'-1 if _n==`t'+1
qui replace coeff		= _b[time`t'] if _n==`t'+1
qui replace se_			= _se[time`t'] if _n==`t'+1
qui replace coeffinf	= _b[time`t']-1.95*_se[time`t'] if _n==`t'+1
qui replace coeffsup	= _b[time`t']+1.95*_se[time`t'] if _n==`t'+1

qui replace coeffX		= _b[timeX`t'] if _n==`t'+1
qui replace seX_		= _se[timeX`t'] if _n==`t'+1
qui replace coeffXinf	= _b[timeX`t']-1.95*_se[timeX`t'] if _n==`t'+1
qui replace coeffXsup	= _b[timeX`t']+1.95*_se[timeX`t'] if _n==`t'+1

}
}

* adjust pre
qui replace time		= -`avant'-1 if  _n==1
qui replace coeffX		= _b[timeXpre] if time==-`avant'-1
qui replace seX_		= _se[timeXpre] if  _n==1
qui replace coeffXinf	= _b[timeXpre]-1.95*_se[timeXpre] if _n==1
qui replace coeffXsup	= _b[timeXpre]+1.95*_se[timeXpre] if _n==1
qui replace coeff		= _b[timepre] if time==-`avant'-1
qui replace se_			= _se[timepre] if  _n==1
qui replace coeffinf	= _b[timepre]-1.95*_se[timepre] if _n==1
qui replace coeffsup	= _b[timepre]+1.95*_se[timepre] if _n==1


* adjust post
qui replace time		= `apres'+1 if  _n==`T'+2
qui replace coeffX		= _b[timeXpost] if  _n==`T'+2
qui replace seX_		= _se[timeXpost] if  _n==`T'+2
qui replace coeffXinf	= _b[timeXpost]-1.95*_se[timeXpost] if _n==`T'+2
qui replace coeffXsup	= _b[timeXpost]+1.95*_se[timeXpost] if _n==`T'+2

qui replace coeff		= _b[timepost] if  _n==`T'+2
qui replace se_			= _se[timepost] if  _n==`T'+2
qui replace coeffinf	= _b[timepost]-1.95*_se[timeXpost] if _n==`T'+2
qui replace coeffsup	= _b[timepost]+1.95*_se[timeXpost] if _n==`T'+2

preserve
keep time coeff* se*
keep if time<.
save "$output/`4'",replace

restore
end
}
*
***********************************************************
**********	SUMMARY STATISTICS	***************************
***********************************************************   
{
use "$output/final_data_03", replace
* bring stock price to identify private
merge m:1 id year  using "$output/listed_id",nogen keep(1 3)

global sumstat  private foreign gov_owned firm_age K sale ///
	wage mpk_YK 

replace treated = fdi_year>1991 & fdi_year<.
egen ever_treated = max(treated),by(id)	
gen private =  listed ==. 
replace foreign = entity ==2

foreach var in K sale wage  mpk_YK{
replace `var' = exp(`var')
}

label var private "Private (\%)"
label var foreign "Foreign (\%)"
label var gov_owned "State Owned (\%)"
label var firm_age "Firm Age"
label var 	K "Gross Fixed Assets"
label var 	sale "Sales/Revenues"
label var 	wage "Wages"
label var 	mpk_YK  "MRPK (Revenue/K)"

* adjust %
foreach var in ever_treated private foreign gov_owned{
replace `var' = `var'*100
}

estpost tabstat $sumstat if ever_treated==0,statistics(mean sd p50 ) columns(statistics)
est store a
estpost tabstat $sumstat if ever_treated==100,statistics(mean sd p50 ) columns(statistics)
est store b
esttab a b using "$result/summstat_update.tex",  ///
cells("Mean(fmt(%9.1fc)) SD(fmt(%9.1fc)) p50(fmt(%9.1fc))") replace ///
mtitles("\textbf{Control}" "\textbf{Treated}") ///
label nonumber f alignment(S) booktabs 


esttab a b using "$result/summstat_update.tex", cells("mean(label(Mean) fmt(%9.1fc)) sd(fmt(%9.1fc)) p50(fmt(%9.1fc))") ///
noobs mtitles("\textbf{Control}" "\textbf{Treated}")  ///
label nonumber f booktabs replace

}
*
**********************************************************************
**********	DEFINE FIXED EFFECTS AND CLUSTER	**********************
**********************************************************************
{
global fe_firm id firm_age sizeq4yr // firm_age stateyr
global fe_prod firm_prod_fe year firm_age
global cluster nic2008_4digit year

	*List FE
	global listfe ///
		estfe . est* , labels(id "\hline\textit{Fixed Effects} \\ \hspace{1.5em}Firm" ///
		year 				"\hspace{1.5em}Year" ///
		firm_age 			"\hspace{1.5em}Firm Age" ///
		sizeq4yr 			"\hspace{1.5em}Size $\times$ \hspace{-0.3em}Year" ///		
		ind5_year 			"\hspace{1.5em}5-digit Industry $\times$ \hspace{-0.2em}Year" ///
		ind2_year 			"\hspace{1.5em}2-digit Industry $\times$ \hspace{-0.2em}Year" ///	
		firm_prod_fe		"\hspace{1.5em}Firm $\times$ \hspace{-0.2em}Product" ///
		unityr				"\hspace{1.5em}Unit $\times$ \hspace{-0.2em}Year" ///		
		stateyr 			"\hspace{1.5em}State $\times$ \hspace{-0.2em}Year")		
		return list

global TFP "tfpq"

}
*	
*************************************************** 
**********	FOREIGN EQUITY  	*******************
***************************************************
{
{
	* note: lots of missing observations for foreign equity
     use "$source/equity", clear  
    keep shp_cocode company_name shp_date total_equity frgn_promoters_equity fii_equity frgn_venture_cap_equity

    // to be used for merging with final data
	tostring shp_date,replace
	gen date1 = substr(shp_date,1,4)
	gen date2 = substr(shp_date,5,2)
	gen date3 = substr(shp_date,7,2)
	replace shp_date = date1+"-"+date2+"-"+date3
    gen date = date(shp_date, "YMD")
    gen year = year(date)
    rename shp_cocode sa_finance1_cocode

    // keep only equity count from last reported date
    gsort company_name year
    egen max_date = max(date), by(company_name year)
    keep if date == max_date
	
	foreach var in frgn_promoters_equity  fii_equity  frgn_venture_cap_equity {
		replace `var' = "." if `var' =="NA"
	}
	destring frgn_promoters_equity  fii_equity  frgn_venture_cap_equity  total_equity, replace
	foreach var in frgn_promoters_equity  fii_equity  frgn_venture_cap_equity {
		recode `var' . =  0
	}	
	
    // foreign equity shares variables
    gen share_foreign_equity = (frgn_promoters_equity + fii_equity + frgn_venture_cap_equity) / total_equity
 
    gen share_frgn_equity_promoters = frgn_promoters_equity / total_equity
	gen tot_foreign_equity = (frgn_promoters_equity + fii_equity + frgn_venture_cap_equity)
	 
  	bys sa_finance1_cocode year: keep if _n==1
    save "$output/firm_equity", replace
}to 
*
*** Bring nic and merge with fdi 
	use sa_finance1_cocode nic2008_5digit using "$output/firms_financials", replace
	bys sa_finance1_cocode: keep if _n==1
	merge 1:m sa_finance1_cocode using "$output/firm_equity", nogen keep(3)

	merge m:1 nic2008_5digit using "$source/fdi_restrictions_5digitNIC", nogen keep(1 3)
	
	rename sa_finance1_cocode id 
	drop if year ==.
	*Total investment
	gen tot_foreign = (frgn_promoters_equity + fii_equity + frgn_venture_cap_equity)
	
	* Collapse at the FDI deregulation date 
	drop if fdi ==1998 | fdi==2000
	recode fdi . = 0 	
	replace fdi = 0 if fdi==1991
	gen nbfirm = 1
	collapse(sum)tot_foreign nbfirm (mean)share_foreign ,by(fdi year)
	* index 
	foreach var in tot_foreign  share_foreign{
	egen I_`var'		= max(`var'*(year==2001)),by(fdi)
	replace I_`var' 	= `var'/I_`var'
	}
	gen MFDI = (tot_foreign/1000000)/nbfirm
	drop tot_foreign  share_foreign nbfirm
	reshape wide I_* MFDI,i(year) j(fdi)

	global graph ///
		leg(off) graphregion( color(white) )  ///
		xscale(titlegap(3)) yscale(titlegap(4)) xtitle("Year") ytitle(" ") ///
		ylabel(,angle(0) nogrid)
	
		
	keep if year<=2015
	graph twoway ///
	(line I_tot_foreign0 year,lcolor(navy%80) lpattern(shortdash) lwidth(medthick)) ///
	(line I_tot_foreign2001 year, lcolor(forest_green%80) lpattern(longdash)lwidth(medthick)) ///
	(line I_tot_foreign2006 year, lcolor(maroon%90)lwidth(medthick)) ///
	, $graphwhite  xlabel(2001(2)2015) legend(region(lcolor(white) lwidth(vlarge)) symxsize(9) forcesize  ) ///
	leg( on order(1 "No deregulation"  2 "Deregulation in 2001"  3 "Deregulation in 2006"))
	graph export "$result/FDI_aggregate.pdf", as(pdf) replace
	
*** Graph in level 
	line MFDI* year, ///
	graphregion(fcolor(white)) legend(region(lcolor(white) lwidth(vlarge)) symxsize(9) forcesize  ) ///
	leg( on order(1 "No deregulation"  2 "Deregulation in 2001"  3 "Deregulation in 2006")) ///
	xscale(titlegap(3)) xtitle("Year") ytitle("Mean FDI (in millions)") ylabel(,nogrid angle(0)) ///
	xlabel(2001(2)2015) graphregion(lcolor(white)) graphregion(color(white)) bgcolor(white)
	graph export "$result/FDI_aggregate_level_mean_firm.pdf", as(pdf) replace
}
*
*******************************************************
**********	FOREIGN DEBT RESULTS 	*******************
*******************************************************
{	
*** Bring foreign debt 
	use "$source/RBI_CMIE_merge", replace		
	* collapse at the firm year level 
	collapse(sum) foreign_debt=EquivalentAmountinUSD,by(sa_fi Year)
	rename (sa_fi Year) (id year)
	replace year = year-1 // first year access is likely the year before we observe it in the balance sheet
	* identify the first time they issue foreign debt 
	egen first_foreign = min(year),by(id)
	bys id: keep if _n==1
	save "$output/first_foreign", replace		
	
	
	* cumulative foreign debt 
	use "$source/RBI_CMIE_merge", replace		
	* collapse at the firm year level 
	collapse(sum) foreign_debt=EquivalentAmountinUSD,by(sa_fi Year)
	rename (sa_fi Year) (id year)	
	replace year = year-1 // first year access is likely the year before we observe it in the balance sheet	
	merge 1:1 id year using "$output/final_data_02" ,nogen keep(2 3 )
	
	sort id year
	by id: gen cumul_foreign = sum(foreign_debt)
	merge m:1 id  using "$output/first_foreign" ,nogen keep(1 3)
	gen  first_foreign1 = year>=first_foreign
	gen  first_foreign2 = year>first_foreign	
	gen  first_foreign3 = (year)>=(first_foreign-1)		
	gen lhsforeign		= log(cumul_foreign+(cumul_foreign^2+1)^(1/2)) // arcsin transformation
	
foreach constrain in YK { 
replace high_treated=treated*mpk_`constrain'_high2_withinind
}

eststo clear
* average 
eststo:reghdfe first_foreign3  treated , absorb($fe_firm) cluster($cluster)
$trueobs

* Triple diff
eststo:reghdfe first_foreign3 high_treated treated , absorb($fe_firm) cluster($cluster)	
$trueobs		

* average
eststo:reghdfe lhsforeign  treated , absorb($fe_firm) cluster($cluster)  
$trueobs

* Triple diff
eststo:reghdfe lhsforeign high_treated treated , absorb($fe_firm) cluster($cluster)	
$trueobs

$listfe
esttab  using "$result/access_foreign_debt.tex", ///
$gorgeous2   ///
indicate( `r(indicate_fe)', labels($\checkmark$ --- ))

}

***********************************************
**********	CAPEX RESULTS 	*******************
***********************************************
{
*** Prepare cap ex 
use "$output/Project_Detail", clear

	* Identify foreign owned project 
	gen foreign_proj=0
	foreach name in foreign Foreign { 
		gen temp=strpos(ownership, "`name'")
		replace foreign_proj=1 if temp!=0
		drop temp
		}

	* Get total spending per project
	keep companycode projectnumber foreign_proj 

	merge companycode projectnumber using "$output/Project_Cost.dta", uniqmaster sort
	keep if _merge==3
	drop _merge

	* Year variable
	gen len=strlen(dateofcostofproject)
	replace len=len-4
	gen year=substr(dateofcostofproject,len,5)
	destring year, replace

	* Aggregate at the firm-year level 
	gen foreign_amount_proj=foreign_proj*costofprojectrsmillion
	bysort companycode year: egen total_foreign=total(foreign_amount_proj)

	keep companycode year total_foreign 
	duplicates drop 

	* Restrict to the right period 
	keep if year>=1995 & year<=2015

*** Dealt with holes
	/*  Data is cumulative cost of project by date
		--> for each year pick last date -- no cases with multiple costs in a given year
	*/
	* fill in missing years	
	tsset companycode year
	tsfill 

	* fill in missing values 
	sort companycode year 
	forval x=1995/2015 { 
		gen temp=total_foreign if year==`x'
		bysort companycode: egen temp2=mean(temp) 
		replace total_foreign = temp2 if year==(`x'+1) & total_foreign==.
		drop temp*
		}
	rename companycode id
	save "$output/capex_clean" ,replace

*** Merge with prowess	
	use "$output/final_data_02", clear 
	merge id year using "$output/capex_clean", unique sort
	erase "$output/capex_clean.dta"
	tab _merge
	*get rid of firms not in manufacturing data
	drop if _merge==2

	replace total_foreign=0 if _merge==1

	gen any_foreign_proj=0
	replace any_foreign_proj=1 if total_foreign>0 & total_foreign!=.


gen ihs_foreign=asinh(total_foreign)
gen log_foreign=log(total_foreign)

replace high_treated=treated*mpk_YK_high2_withinind

eststo: reghdfe any_foreign_proj treated, absorb($fe_firm) cluster($cluster)
$trueobs

eststo: reghdfe any_foreign_proj treated high_treated, absorb($fe_firm) cluster($cluster)
$trueobs

eststo: reghdfe ihs_foreign treated, absorb($fe_firm) cluster($cluster)
$trueobs

eststo: reghdfe ihs_foreign treated high_treated, absorb($fe_firm) cluster($cluster)
$trueobs

$listfe
esttab  using "$result/first_stage_triple_diff.tex", ///
$gorgeous2   ///
indicate( `r(indicate_fe)', labels($\checkmark$ --- ))
}
*	

***************************************
**********	GRAPHS	*******************
***************************************
{
*** Prepare pretty graphs
	global graph ///
		, yline(0, lcolor(gs4) lpattern(dash)) ///
		  graphregion( color(white) )  ///
		xscale(titlegap(3)) ///
		yscale(titlegap(4))  ylabel(,angle(0) nogrid) ///
		xtitle("Year Since Reform") ytitle(" ") ///
		xline(0, lcolor(gs4) lwidth(medthick) lpattern(dash)) xlabel(-4(2)10 ) 
		
*** AVERAGE
use "$output/final_data_03", replace
gen shock = treated
cap drop yearshock
gen yearshock 	= fdi_year_of_reform-1
	recode yearshock . = 0 	
gen inter		= mpk_YK_high2_withinind
global FE "id firm_age sizeq4yr"

	/// produce point estimate for graphs
	foreach var in sale K  { //inc wage mpk_YK 
	eststo clear	
	averageDD `var' 5 10  "average1_`var'"
	}
	/// Produce different graph
	forvalues x=1(1)1{
	foreach var in  K { 
	
	if "`var'"=="K" { 
		local title "Physical Assets"
		}
	use "$output/average`x'_`var'", clear
	drop if  time==-6 | time==11
	quiet graph twoway (rcap coeffinf coeffsup time, $se) ///
	(scatter coeff time, $beta $red)   $graph graphregion(fcolor(white)) leg(off) //title("`title'")
	graph export "$result/average`x'_`var'_03.pdf", as(pdf) replace
	}
	}

*** Marginal high + low together 
	use "$output/final_data_03", replace
	gen shock = treated
	cap drop yearshock
	gen yearshock 	= fdi_year-1  if fdi_year>1991 
	recode yearshock . = 0 	
	gen inter		= mpk_YK_high2_withinind
	
	foreach var in sale K wage mpk_YK{  	
	global FE "id firm_age sizeq4yr"
	marginalDD `var' 5 10 "`var'_marg"
	}
	
	/// Produce different graph
	foreach var in sale K wage mpk_YK{  
		
	*local var = "K"	
	if "`var'"=="K" { 
		local title "Physical Assets"
		}	
	if "`var'"=="sale" { 
		local title "Revenues"
		}
	if "`var'"=="wage" { 
		local title "Wages"
		}
	if "`var'"=="mpk_YK" { 
		local title "MRPK"
		}			
	clear
	save "$result/graph", replace emptyok
	append using "$result/`var'_marg"
	drop if  time==-6 | time==11
	
	quiet graph twoway ///
	(rcap coefftimeXinf coefftimeXsup time, $se) ///
	(scatter coefftimeX time, $beta $red) ///
	(rcap coefftimeinf coefftimesup time, $se) ///
	(scatter coefftime time, $beta $blue) ///
	$graph graphregion(fcolor(white)) ///
	legend(order (2 "High MRPK" 4 "Low MRPK")) $leg_white title("`title'",margin(b=5) color(black) size(medium))
	graph export "$result/high_low_`var'_title.pdf", as(pdf) replace	
	}
	
	
*** MARGINAL HIGH and MARGINAL LOW
use "$output/final_data_03", replace
	gen shock = treated
	cap drop yearshock
	gen yearshock 	= fdi_year-1  if fdi_year>1991 
	recode yearshock . = 0 	
	gen inter		= mpk_YK_high2_withinind
	
	global FE "id firm_age sizeq4yr"
	/// produce point estimate for graphs
	foreach var in sale K wage mpk_YK { //inc wage mpk_YK
	marginalDD  `var' 5 10 "baseline1_`var'"
	}
	/// produce graph
	forvalues x=1(1)1{
	foreach var in sale K wage mpk_YK{ // inc K wage mpk_YK
	use "$output/baseline`x'_`var'", clear
	drop if  time==-6 | time==11
	
	if "`var'"=="K" { 
		local title "Physical Assets"
		}
		
	if "`var'"=="sale" { 
		local title "Revenues"
		}
		
	if "`var'"=="wage" { 
		local title "Wages"
		}
		
	if "`var'"=="mpk_YK" { 
		local title "MRPK"
		}
	* high 	
	quiet graph twoway (rcap coeffXinf coeffXsup time, $se) ///
	(scatter coeffX time, $beta $red)$graph graphregion(fcolor(white)) leg(off)  title("`title'",margin(b=5))
	graph export "$result/marginalHIGH`x'_`var'_03.pdf", as(pdf) replace
	* low 
	quiet graph twoway (rcap coeffinf coeffsup time, $se) ///
	(scatter coeff time, $beta $blue)$graph graphregion(fcolor(white)) leg(off)  title("`title'",margin(b=5))
	graph export "$result/marginalLOW`x'_`var'_03.pdf", as(pdf) replace	
	
	}
	}	
	
*** MRPL 
	use "$output/final_data_03", replace
	gen shock = treated
	cap drop yearshock
	gen yearshock 	= fdi_year-1  if fdi_year>1991 
	recode yearshock . = 0 	
	gen inter		= mpl_YL_high2_withinind

	foreach Y in mpl_YL wage{
	global FE "id firm_age sizeq4yr"
		marginalDD `Y' 5 10 "`Y'"
	}
	use "$output/mpl_YL", clear
	drop if  time==-6 | time==11
	twoway (rcap coeffXsup coeffXinf time,$se ) ///
	(scatter coeffX time,$beta $red)  ///
	$graph leg(off) ylabel(-.5(.5).5 ) 
	graph export "$result/mrpl.pdf", as(pdf) replace

	use "$output/wage", clear
	drop if  time==-6 | time==11
	twoway (rcap coeffXsup coeffXinf time,$se ) ///
	(scatter coeffX time,$beta $red)  ///
	$graph leg(off) ylabel(-.5(.5).5 ) 
	graph export "$result/wage.pdf", as(pdf) replace

	
*** Mean reversion graph
use "$output/final_data_03", replace
cap drop yearshock
gen yearshock 	= fdi_year_of_reform-1
gen inter		= . 
	
	*  baseline result
	replace inter		= mpk_YK_high2_withinind_2001 	
	foreach var in K mpk_YK { 
	eststo clear	
		local i="5"
		local j="4"
		global FE "$fe_firm"
	marginalDD `var' `i' `j' "Meanreversion_`var'1"
	}
	*  Excluding 2001	
	gen treat2001=0
	replace treat2001=1 if fdi_year_of_reform==2001
	
	local addcontrols 
	forval x=1995/2015 { 
		gen t`x'=treat2001*(year==`x')
		gen t`x'_high=treat2001*(year==`x')*mpk_YK_high2_withinind
		local addcontrols `addcontrols' t`x' t`x'_high
		}
	replace yearshock = . if fdi_year_of_reform==2001
	replace inter		= mpk_YK_high2_withinind_2001	
	foreach var in K mpk_YK { 
	eststo clear	
		local i="5"
		local j="4"
		global FE "$fe_firm `addcontrols'"
	marginalDD `var' `i' `j' "Meanreversion_`var'4"
	}	
	
	*  2006 only
	gen treat2006=0
	replace treat2006=1 if fdi_year_of_reform==2006
	
	replace yearshock 	= fdi_year_of_reform-1
	
	local addcontrols 
	forval x=1995/2015 { 
		drop t`x' t`x'_high
		gen t`x'=treat2006*(year==`x')
		gen t`x'_high=treat2006*(year==`x')*mpk_YK_high2_withinind
		local addcontrols `addcontrols' t`x' t`x'_high
		}
	
	/// PRODUCE GRAPHS
	* Assemble everything
	foreach var in K mpk_YK{	
	clear
	save "$output/graph", replace emptyok

		if "`var'"=="K" { 
			local title "Physical Assets"
			}
			
		if "`var'"=="mpk_YK" { 
			local title "MRPK"
			}
		
		foreach x in 1 4 {
		append using "$output/Meanreversion_`var'`x'"
		rename (coeffX coeffXinf coeffXsup) (coeff`x' coeffinf`x' coeffsup`x')
		}
		drop if time>5

		twoway (scatter coeff1 time,$beta $grey)  (rcap coeffinf1 coeffsup1 time, $se) ///
		(scatter coeff4 time,$beta $green) (rcap coeffinf4  coeffsup4  time, $se)  ///
		$graph $leg title("`title'",margin(b=5) color(black)) /// 
		xline(0, lcolor(gs4) lwidth(medthick) lpattern(dash)) xlabel(-6(5)5 ) ///
		legend(on order(1 "Baseline" 3 "Excluding 01-Reform" 5 )    symxsize(9) forcesize) $leg_white
		graph export "$result/`var'_2006only_03.pdf", as(pdf) replace
	}

}
*
*******************************************************
**********	TABLE 2: AVERAGE EFFECT	*******************
*******************************************************
{
use "$output/final_data_03", replace
eststo clear	
foreach var in sale K wage mpk_YK {
eststo, title("`var'"): reghdfe `var'  treated , absorb($fe_firm) cluster($cluster)
	$trueobs		
}
	$listfe
	esttab  using "$result/average_effect_03.tex", ///
	$gorgeous2   ///
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))
}
*
***********************************************************
**********	TABLE 3: HIGH MPK	***************************
***********************************************************
{
use "$output/final_data_03", replace

*** Loop over the three different measures of credit constrains
foreach constrain in YK { //lp
replace high_treated=treated*mpk_`constrain'_high2_withinind
	
eststo clear	
foreach var in sale K wage mpk_`constrain'{
eststo, title("`var'"): reghdfe `var' high_treated treated , absorb($fe_firm) cluster($cluster)
	$trueobs		
	}
	$listfe
	esttab  using "$result/`constrain'_update_03.tex", ///
	$gorgeous2   ///
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))
}	
*** Productivity 
eststo clear	
replace high_treated=treated*mpk_YK_high2_withinind

eststo : reghdfe tfpq treated , absorb($fe_firm) cluster($cluster)
	$trueobs		
eststo : reghdfe tfpq treated high_treated, absorb($fe_firm) cluster($cluster)
	$trueobs		
	$listfe
	esttab  using "$result/tfpq_03.tex", ///
	$gorgeous2 order(treated high_treated)  ///
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))

}
*
*******************************************************************
**********	TABLE 4: LOCAL FINANCIAL DEVELOPMENT	***************
*******************************************************************
{
use ds_* st* state_name sa_finance1_cocode using "$output/final_sample_bank",clear
bys sa_* :keep if _n==1
rename sa_finance1_cocode id 
merge 1:m id using "$output/final_data_03",keep(3) nogen force
	
gen highYK			= mpk_YK_high2_withinind

forvalues yr=2000(1)2005{
gen fidev10_`yr'	= st_credit_amt`yr' 
}

// Financial development pre shock 
forvalues x=10(1)10{
egen maxfidev`x'	= rowmax(fidev`x'_2000 fidev`x'_2001 fidev`x'_2002 fidev`x'_2003 fidev`x'_2004 fidev`x'_2005)
}
forvalues x=10(1)10{
foreach var in maxfidev { 
gen l`var'`x'		= log(`var'`x'+1)
egen ml`var'`x'		= mean(l`var'`x')
replace l`var'`x' = l`var'`x'-ml`var'`x'
}	
}

// interaction 
forvalues x=10(1)10{
foreach var in maxfidev { 
gen l`var'`x'_treated 					= l`var'`x'*treated
foreach constrain in YK {
gen l`var'`x'_high`constrain'		 	= l`var'`x'*high`constrain'
}
}	
}
gen LocalFIN_high_treated =.

*** Regression
foreach constrain in YK { 
eststo clear
replace high_treated=treated*mpk_`constrain'_high2_withinind
	forvalues x =10(1)10{
		foreach var in maxfidev { 
		replace LocalFIN_high_treated=l`var'`x'*treated*mpk_`constrain'_high2_withinind
	
			foreach Y in sale K wage mpk_`constrain' {
			eststo, title("`var'"):reghdfe `Y' LocalFIN_high_treated ///
			high_treated l`var'`x'_high`constrain' l`var'`x'_treated l`var'`x' treated , ///
			absorb($fe_firm) cluster($cluster)
			$trueobs		
			}
		}
	}
label var LocalFIN_high_treated ///
"$\mathit{Reform}\tsub{\it{jt}} \times I\tsub{\it{jt}}^{High\: MRPK}$ \XFI"			
label var high_treated "$\mathit{Reform}\tsub{\it{jt}} \times I\tsub{\it{jt}}^{High\: MRPK}$"	

	$listfe
	esttab  using "$result/all_financial_dev_`constrain'_03.tex", ///
	$gorgeous2 keep(LocalFIN_high_treated high_treated _cons)  ///
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))

}

}
*
***********************************************************************************
**********		CROSS-SECTION LOCAL BANKING SECTORS		***************************
***********************************************************************************
{
use ds_* st* state_name sa_finance1_cocode using "$output/final_sample_bank",clear
bys sa_* :keep if _n==1
rename sa_finance1_cocode id 
drop sta*
merge 1:m id using "$output/final_data_03",keep(3) nogen force
	
gen highYK			= mpk_YK_high2_withinind

forvalues yr=2000(1)2005{
gen Fdev12_`yr'		= st_credit_amt`yr' /ds_gdp`yr'
}

// Keep one value per state
forva x =12/12{
 	egen TmeanFdev`x'		= rowmean(Fdev`x'_2000 Fdev`x'_2001 Fdev`x'_2002 Fdev`x'_2003 Fdev`x'_2004 Fdev`x'_2005)
 	
	* make sure we have one value per state 
 	egen meanFdev`x' 	= mean(TmeanFdev`x'),by(state)
  	recode meanFdev`x' . =0
 	
	* arcsin transformation
 	replace meanFdev`x' = log(meanFdev`x'+(meanFdev`x'^2+1)^(1/2))
 		
}
 
// filter industry 
	keep if year<=2001
	egen  ind4	= group(nic2008_4digit)
	gen high 	= mpk_YK_high2_withinind 
	 
	egen ind5 		= group(nic2008_5digit)
	egen ind5state 	= group(nic2008_5digit state)
	egen ind4yr 	= group(nic2008_4digit year)
	 
	reghdfe mpk_YK,a(year state ind4 id ) res
	predict resMPK1,res

forval i=1/1{
gen T1`i' = resMPK`i' if year<=2001 & high ==1
gen T0`i' = resMPK`i' if year<=2001 & high ==0

egen highMPK`i' 	= mean(T1`i'),by(state)
egen lowMPK`i' 		= mean(T0`i'),by(state)

egen highMPK1`i' 	= mean(T1`i'),by(state ind4)
egen lowMPK1`i' 	= mean(T0`i'),by(state ind4)

egen highMPK2`i' 	= mean(T1`i'),by(state ind5)
egen lowMPK2`i' 	= mean(T0`i'),by(state ind5)

gen Diff`i' 	= (lowMPK`i'-highMPK`i' ) /(abs(highMPK`i') + abs(lowMPK`i'))
}
collapse(mean) Diff* meanFdev*,by(state)

binscatter  Diff1 meanFdev12, mcolor(navy%60) ///
	leg(off) graphregion( color(white) ) ///
	yscale(titlegap(4))  ytitle("Average gap high - low MRPK") ylabel(,angle(0) nogrid) ///
	xscale(titlegap(3)) xtitle("Local Financial Development") 
	graph export "$result/state_cross_section_exante_difference.pdf", as(pdf) replace	
}
* 
**************************************************************
******	TABLE 5: PRODUCE-LEVEL PRICE & OUTPUT EFFECT	******
**************************************************************
{
use "$output/product_final_03",replace

foreach constrain in YK{ 
	replace high_treated=treated*mpk_`constrain'_high2_withinind
}

eststo clear

eststo, title("price"): reghdfe log_price treated , absorb($fe_firm firm_prod_fe    ) cluster($cluster)
	$trueobs		

eststo, title("price"): reghdfe log_price high_treated treated , absorb($fe_firm firm_prod_fe    )  cluster($cluster)
	$trueobs		

eststo, title("output"): reghdfe log_output treated , absorb($fe_firm firm_prod_fe    ) cluster($cluster)
	$trueobs		

eststo, title("output"): reghdfe log_output high_treated treated , absorb($fe_firm firm_prod_fe    ) cluster($cluster)
	$trueobs		

bys id year: keep if _n==1
eststo, title("total product"): reghdfe log_nbprod high_treated treated , absorb($fe_firm) cluster($cluster)
	$trueobs		

eststo, title("Addition"): reghdfe addition high_treated treated , absorb($fe_firm) cluster($cluster)
	$trueobs		

eststo, title("Deletion"): reghdfe deletion high_treated treated , absorb($fe_firm) cluster($cluster)
	$trueobs		

	$listfe
	esttab  using "$result/prod_price_output_update_03.tex", ///
	$gorgeous2   ///
	indicate( `r(indicate_fe)', labels($\checkmark$ --- )) 
}
*
***********************************************************
**********	TABLE 6: HIGH MPL	***************************
***********************************************************
{
use "$output/final_data_03", replace
keep if mpl_YL<.
foreach constrain in YL { 
replace high_treated=treated*mpl_`constrain'_high2_withinind
	
eststo clear	
foreach var in sale K wage mpl_`constrain' {
eststo, title("`var'"): reghdfe `var' high_treated treated ,	absorb($fe_firm) cluster($cluster)
$trueobs		
}
	$listfe
	esttab  using "$result/`constrain'_MPL_03.tex", ///
	$gorgeous2  ///
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))
}
}
* 
******************************************************
**********	MEAN REVERSION ***************************
******************************************************
{
use "$output/final_data_03", replace

foreach yr in 1997 1998 { 
replace high_treated=treated*mpk_YK_high2_withinind_`yr'
	
eststo clear	
foreach var in sale K wage mpk_YK {
eststo: reghdfe `var' high_treated treated , absorb($fe_firm) cluster($cluster)
	$trueobs		
}
	$listfe
	esttab  using "$result/YK_mean_reversion_`yr'_03.tex", ///
	$gorgeous4 drop(_cons)  ///
	mgroups(\vspace{-.3cm}\multicolumn{@span}{c}{}) nonumber ///	
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))
}
	
* Using only the reform of 2006
gen treated2001 = year>=fdi_year 
	replace treated2001 = 0 if fdi_year == 2006
	
gen high2001 = mpk_YK_high2_withinind * treated2001
replace high_treated=treated*mpk_YK_high2_withinind

eststo clear
foreach var in sale K wage mpk_YK {
eststo: reghdfe `var' high_treated treated treated2001 high2001, absorb(  $fe_firm) cluster($cluster)
	$trueobs	
}
	$listfe
	esttab  using "$result/YK_mean_reversion_2001_03.tex", ///
	$gorgeous4 keep(high_treated treated)  ///
	mgroups(\vspace{-.3cm}\multicolumn{@span}{c}{}) nonumber ///	
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))

}
*
******************************************************
**********	MEAN REVERSION -- PLACEBO **************** 
******************************************************
{
use "$output/final_data_03", replace

replace high_treated=treated*mpk_YK_high2_withinind
	
* Using only the reform of 2006	
eststo clear

gen high_placebo=mpk_YK_high2_withinind*(year>=2002)*(fdi_year_of_reform==2006)
gen placebo=(year>=2002)*(fdi_year_of_reform==2006)

drop if year>=2006 
drop if fdi_year_of_reform==2001
foreach var in sale K wage mpk_YK {
eststo: reghdfe `var' high_treated high_placebo treated placebo, absorb($fe_firm) cluster($cluster)
	$trueobs	
}
	$listfe
	esttab  using "$result/YK_mean_reversion_placebo_03.tex", ///
	$gorgeous2   ///
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))

}
*
***************************************************************
**********	TABLE A2: 5-DIGIT IND ROBUSTNESS	***************
***************************************************************
{
use "$output/final_data_03", replace
egen ind5_year=group(nic2008_5digit   year)

foreach constrain in YK { 
replace high_treated=treated*mpk_`constrain'_high2_withinind
	
eststo clear	
foreach var in sale K wage mpk_`constrain' {
eststo, title("`var'"): reghdfe `var' high_treated treated, absorb($fe_firm ind5_year) cluster($cluster)
	$trueobs		
}
	$listfe
	esttab  using "$result/`constrain'_5digind_year_03.tex", ///
	$gorgeous2 keep(_cons high_treated)  ///
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))
}
}
***************************************************************
**********	TABLE A3: 2-DIGIT IND ROBUSTNESS	***************
***************************************************************
{
use "$output/final_data_03", replace
egen ind2_year=group(nic_division year)

foreach constrain in YK { 
replace high_treated=treated*mpk_`constrain'_high2_withinind
		
eststo clear	
foreach var in sale K wage mpk_`constrain'{
eststo, title("`var'"): reghdfe `var' high_treated treated , absorb($fe_firm  ind2_year) cluster($cluster)
	$trueobs		
}
	$listfe
	esttab  using "$result/`constrain'_2digind_year_03.tex", ///
	$gorgeous2   ///
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))


}
}
*
***********************************************************
**********	STATE FIXED EFFECTS	***************************
***********************************************************
{
use "$output/final_data_03", replace
foreach constrain in YK { 
replace high_treated=treated*mpk_`constrain'_high2_withinind

eststo clear	
foreach var in sale K wage mpk_`constrain' {
eststo, title("`var'"): reghdfe `var' high_treated treated , absorb($fe_firm stateyr) cluster($cluster)
	$trueobs		
}
	$listfe
	esttab  using "$result/`constrain'_statefe_03.tex", ///
	$gorgeous2   ///
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))
}
}
*
*******************************************************
**********	 DERESERVATION	***************************
*******************************************************
{

*** Dereservation (dereservatiom was generously shared with us by Johaness Boehm)
use  "$output/__dereservation", clear
	* Identify asicc that deregulates post 2001 and post 2006
	destring YEAR,replace
	foreach yr in 2001 2005 2006{
	gen temp`yr'	= YEAR>=`yr'
	egen dereg`yr' = max(temp`yr'),by(asicc)
	}
	egen myear		= mean(YEAR),by(asicc)
	egen maxyear	= max(YEAR),by(asicc)	
	replace myear	= round(myear)	
	bys asicc: keep if _n==1 // some asicc appears 10 times
	* merge with nic 2008 to identify the nic affected
	destring asicc,replace
	merge 1:m asicc using "$source/nic08_asicc_asi_max",nogen keep(3)
	keep nic2008_5digit dereg* myear maxyear
	*destring nic2008_5digit,replace
	bys nic2008: keep if _n==1
	merge 1:m nic2008_5digit using "$output/final_data_03", keep(2 3) 
	egen dereserv_yr = group(_merge year)

capture program drop FE2                
program define FE2    
qui estadd local res_FE "Restricted" , replace 
end 

capture program drop FE3               
program define FE3    
qui estadd local res_FE "All" , replace 
end 

gen a =1
	
*** Final table: restrict to 2001 and dereservation x high
gen dereserv	= (maxyear>=year)
foreach constrain in YK { 
replace high_treated	= treated*mpk_`constrain'_high2_withinind
gen high_dereserv		= dereserv*mpk_`constrain'_high2_withinind	

eststo clear	
foreach var in sale K wage mpk_`constrain' {
preserve
drop if dereg2001==1
eststo, title("`var'"): reghdfe `var' high_treated treated , absorb($fe_firm) cluster($cluster)
FE2
	$trueobs		
restore 

eststo, title("`var'"): reghdfe `var' high_treated high_dereserv treated dereserv , ///
absorb($fe_firm a) cluster($cluster)
FE3
	$trueobs		
}
label var dereserv "Dereservation\tsub{\it{jt}}"
label var high_dereserv "Reform\tsub{\it{jt}} $\times$ Dereservation\tsub{\it{jt}}"

label var dereserv "Dereservation\tsub{\it{jt}}"


	*List FE
		estfe . est* , labels(id "\hline\addl\textit{Fixed Effects} \\ \hspace{1.5em}Firm" ///
		firm_age 			"\hspace{1.5em}Firm Age " ///
		sizeq4yr 			"\hspace{1.5em}Size $\times$ \hspace{-0.3em}Year" ///		
		ind5_year 			"\hspace{1.5em}5-digit Industry $\times$ \hspace{-0.2em}Year" ///
		ind2_year 			"\hspace{1.5em}2-digit Industry $\times$ \hspace{-0.2em}Year" ///		
		a 			"\hspace{1.5em}Dereservation Controls")		
		return list

	esttab  using "$result/YK_dereserv_03.tex", ///
		cells(b(fmt(%8.3f) star) se(fmt(%8.3f) par))  ///
		starlevels( * .100 ** .050 *** .010) ///
		varwidth(50) nolines  label replace	///
		fragment mlabels(none) collabels(none) booktab   ///		
		keep(treated high_treated) ///
	stats(N_true res_FE, fmt(%8.0fc) label("\vspace{0.1em}Observations" "\addl\textit{Sample}")) ///
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))
}
}
*
***********************************************************
**********	TABLE A4: TARIFFS 	***************************
***********************************************************
{
	
*** Tariff (shared with us by Khandelwal for the period up to 2010)  
use "$source/tariff_master", replace
	* assign 2010 value onward
	preserve
	keep if year==2010
	expand 6
	bys nic2008_4digit: replace year = year[_n-1]+1 if _n>1
	drop if year==2010
	save "$output/temp",replace
	restore 
	append using "$output/temp"
	merge 1:m year nic2008_4digit using "$output/final_data_03",nogen keep(3) 
	
	* Interact tariff with deregulation 
	foreach var in output_tariff input_tariff{
	replace `var'		= `var'/100
	gen `var'_treated	= `var'*treated
	}	
	label var output_tariff "\it{Product Tariff}\tsub{\it{jt}}"
	label var input_tariff 	"\it{Input Tariff}\tsub{\it{jt}}"
	
	label var output_tariff_treated "\it{Reform}\tsub{\it{jt}} $\times$ \it{Product Tariff}\tsub{\it{jt}}"
	label var input_tariff_treated 	"\it{Reform}\tsub{\it{jt}} $\times$ \it{Input Tariff}\tsub{\it{jt}}"
	gen o = 1
	gen i = 1
	
foreach constrain in YK { 
replace high_treated=treated*mpk_`constrain'_high2_withinind

eststo clear	
foreach var in sale K wage mpk_`constrain' {
* Output Tariff
eststo, title("`var'"): reghdfe `var' high_treated output_tariff output_tariff_treated treated , ///
absorb($fe_firm o) cluster($cluster)
	$trueobs		
* Output + Input
eststo, title("`var'"): reghdfe `var' high_treated output_tariff output_tariff_treated treated input_tariff input_tariff_treated, ///
absorb($fe_firm o i) cluster($cluster)
	$trueobs		
}

	global listfe2 ///
	estfe . est* , labels(	o "\hline\addl\textit{Tariff Controls} \\ \hspace{1.5em}Output Tariffs" ///
							i "\hspace{1.5em}Input Tariffs " ///
		id "\hline\addl\textit{Fixed Effects} \\ \hspace{1.5em}Firm" ///
		firm_age 			"\hspace{1.5em}Firm Age " ///
		sizeq4yr 			"\hspace{1.5em}Size $\times$ \hspace{-0.3em}Year" ///		
		ind5_year 			"\hspace{1.5em}5-digit Industry $\times$ \hspace{-0.2em}Year" ///
		ind2_year 			"\hspace{1.5em}2-digit Industry $\times$ \hspace{-0.2em}Year" ///		
		stateyr 			"\hspace{1.5em}State $\times$ \hspace{-0.2em}Year")		
		return list

	$listfe2
	esttab  using "$result/YK_tariff_03.tex", ///
	$gorgeous2 keep(_cons high_treated treated)  ///
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))
}
*
}
*
***************************************************************
**********	WINSORIZING / TRIMMING	***************************
***************************************************************
{
*** Across industries
foreach level in 5 {
foreach cleaning in winsor{

use "$output/final_data_03", replace
foreach constrain in YK { 
replace high_treated=treated*mpk_`constrain'_high2_withinind
	
foreach var in sale K wage mpk_`constrain' {
`cleaning' `var' `level' 
}
	
eststo clear	
foreach var in sale K wage mpk_`constrain' {
eststo, title("`var'"): reghdfe `var' high_treated treated ,absorb($fe_firm) cluster($cluster)
	$trueobs		
}
	$listfe
	esttab  using "$result/`constrain'_`cleaning'_`level'_03.tex", ///
	$gorgeous4 keep(high_treated treated)  ///
	mgroups(\vspace{-.3cm}\multicolumn{@span}{c}{}) nonumber ///	
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))

}
}
}

*** Within industries
foreach level in 5 {
foreach cleaning in winsor{
use "$output/final_data_03", replace

foreach constrain in YK { 
replace high_treated=treated*mpk_`constrain'_high2_withinind
	
	
egen indgroup = group(nic_division)	
foreach var in sale K wage mpk_`constrain' {
	forvalues ind = 1(1)22{
	quiet gen `var'_t	= `var' if indgroup==`ind'
	quiet `cleaning' `var'_t `level'
	quiet replace `var' = `var'_t if indgroup==`ind'
	quiet drop `var'_t
	}
}
	
eststo clear	
foreach var in sale K wage mpk_`constrain' {
eststo, title("`var'"): reghdfe `var' high_treated treated , absorb($fe_firm) cluster($cluster)
	$trueobs		
}
	$listfe
	esttab  using "$result/`constrain'_`cleaning'_`level'_within_ind_03.tex", ///
	$gorgeous4 keep(high_treated treated)  ///
	mgroups(\vspace{-.3cm}\multicolumn{@span}{c}{}) nonumber ///	
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))

}
}
}

}
*
*******************************************************
**********	TABLE A8: SPILLOVER EFFECTS  **************
*******************************************************
{
/* 1. Generate Treated Dummies for Each IO class */
use "$output/final_data_03", replace

duplicates drop nic_division IOclass fdi_year_of_reform year, force
drop if IOclass==""

gen temp= fdi_year_of_reform<=year
bysort IOclass year: egen IOclass_treated=max(temp)
drop temp

duplicates drop IOclass year, force
keep year IOclass IOclass_treated
save "$output/IOclass_treated_long", replace /* Long table of IOclass treated dummies */
reshape wide IOclass_treated, i(year) j(IOclass) string
rename IOclass_treatedc* c*IND_treated
save "$output/IOclass_treated_wide", replace /* Wide table of IOclass treated dummies */

/* 2. Generate Input-Output Weights in Pre-Treatment Period */
use "$output/IO_all", clear 
keep if year==2000
egen temp= rowtotal(c*IND c*Imports)
foreach var of varlist c*IND c*Imports {
replace `var' = `var'/temp
replace `var' = 0 if `var'==.
bysort IOclass: egen `var'_mean = mean(`var')
drop `var'
}
drop temp
rename c*IND_mean c*INDin
rename c*Imports_mean c*Imports
save "$output/io_percentages_pretreatment.dta", replace

use "$output/IO_all", clear
keep if year==2000
keep IOclass c*IND
xpose, clear
drop in 1
gen IOclass=""
forvalues i=1/35 {
replace IOclass="c`i'" in `i'
}
rename v* c*INDout
egen temp = rowtotal(c*INDout)
foreach var of varlist c*INDout {
replace `var' = `var'/temp
replace `var' = 0 if `var'==.
}
drop temp
merge 1:1 IOclass using "$output/io_percentages_pretreatment.dta"
order IOclass
drop _merge year

forvalues i=1(1)35 {
gen c`i'outweight = c`i'INDout
replace c`i'outweight = c`i'outweight-1 if IOclass=="c`i'"
gen c`i'inweight = c`i'INDin
replace c`i'inweight = c`i'inweight-1 if IOclass=="c`i'"
}
save "$output/io_percentages_pretreatment.dta", replace

/* 3. Merge IO-Class Treated Dummies and IO Weights into Regression Sample 
      and Generate Necessary Variables before Regression
*/
use "$output/final_data_03", replace
capture drop c*IND
merge m:1 IOclass using "$output/io_percentages_pretreatment.dta", update replace gen(merge_IO_pretreat)
merge m:1 year using "$output/IOclass_treated_wide.dta", gen(merge_IOtreated_wide)
merge m:1 IOclass year using "$output/IOclass_treated_long.dta", gen(merge_IOtreated_long)
destring IOclass, gen(IOclass_num) ignore("c")

/* generate fixed effects of IO-sector spillovers */
gen shockin = 0 /* upstream reform shock */
gen shockout = 0 /* downstream reform shock */
forvalues i=4/16 { /* upstream flow in */
	replace shockin=shockin+c`i'inweight*c`i'IND_treated if c`i'inweight<. & c`i'IND_treated<.
	replace shockout=shockout+c`i'outweight*c`i'IND_treated if c`i'outweight<. & c`i'IND_treated <.
	}

label var shockin "\it{Upstream}\tsub{\it{jt}}"
label var shockout "\it{Downstream}\tsub{\it{jt}}"
save "$output/fdi_spillover", replace


*** 4. AVERAGE EFFECTS (TABLE 2) WITH SPILLOVER EFFECTS
{
use "$output/fdi_spillover", clear
local treatments treated
local spillovershock shockin shockout

	$listfe
	esttab  using "$result/average_effects_spillover_03.tex", ///
	$gorgeous2 keep(_cons treated)   ///
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))
}
*
	
*** 5. HIGH MPK (TABLE 3) WITH SPILLOVER EFFECTS 
{
use "$output/fdi_spillover", clear

replace high_treated=treated*mpk_YK_high2_withinind
	

eststo clear	
foreach var of varlist sale K wage mpk_YK {

eststo: reghdfe `var' treated `spillovershock' , absorb($fe_firm) cluster($cluster)
	$trueobs		
eststo: reghdfe `var' high_treated treated  shockin shockout, absorb($fe_firm) cluster($cluster)
	$trueobs		
}
	$listfe
	esttab  using "$result/YK_spillover_03.tex", ///
	$gorgeous2 keep(_cons high_treated treated)   ///
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))
}
}
*
***************************************************************
**********	Table 11: HIGH MPK With Few Controls	***********
***************************************************************
{
use "$output/final_data_03", replace

foreach constrain in YK { 
replace high_treated=treated*mpk_`constrain'_high2_withinind
	
eststo clear	
foreach var in sale K wage mpk_`constrain' {
eststo, title("`var'"): reghdfe `var' high_treated treated , absorb(id year) cluster($cluster)
	$trueobs		
}
	$listfe
	esttab  using "$result/`constrain'_update_nocontrols_03.tex", ///
	$gorgeous2 keep(_cons high_treated treated)    ///
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))
}
*
}
*
*******************************************************
**********	CORRELATION MRPK / RISK	*******************
*******************************************************
{	
	use "$output/final_data_03", replace

foreach constrain in YK { 
replace high_treated=treated*mpk_`constrain'_high2_withinind
gen beta_gsale_all1_treated=treated*beta_gsale_all1
label var beta_gsale_all1_treated "\it{Reform}\tsub{\it{jt}} $\times$ \it{Revenue Beta}\tsub{\it{i}}"
	
eststo clear	
foreach var in sale K wage mpk_`constrain'{
eststo, title("`var'"): reghdfe `var' high_treated beta_gsale_all1_treated treated , absorb($fe_firm) cluster($cluster)
	$trueobs		
	}
	$listfe
	esttab  using "$result/`constrain'_beta_03.tex", ///
	$gorgeous2   ///
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))
	}
	
}
*
***********************************************************
**********	CAPITAL COMPOSITION	***************************
***********************************************************
{
use "$output/final_data_03", replace

foreach constrain in YK { 
replace high_treated=treated*mpk_`constrain'_high2_withinind
	
rename s_landbuilding Property 
rename s_plant_equip Plant_Equip
rename s_infrastructure Infra
rename s_other Other	
eststo clear	
foreach var in Property Plant_Equip Infra Other {
eststo, title("`var'"): reghdfe `var' high_treated treated , absorb($fe_firm) cluster($cluster)
	$trueobs		
}
	$listfe
	esttab  using "$result/`constrain'_capital_composition_03.tex", ///
	$gorgeous2   ///
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))
}

}
*
*******************************************************
**********	TABLE A6: ENTRY & EXIT  *******************
*******************************************************
{
*** Get incorporation year info
use incorporation_year co_code state_code using "$source/identity_2020", clear
	keep co_code incorporation_year
	rename co_code id
	tempfile estab
	destring incorporation_year, replace force
save "`estab'", replace

use "$output/final_data_03", replace
merge m:1 id using "`estab'", nogen keep(1 3)
		
gen insample=1
bysort id: egen minyear=min(year)
bysort id: egen maxyear=max(year)

duplicates tag id year, gen(tag)
drop if tag!=0
drop tag 

tsset id year

*code a firm as exiting if its last year is before 2015
gen exit=0
replace exit=1 if year==maxyear & year!=2015
gen year_exit=year+1 if year==maxyear & year!=2015

tsfill, full
bysort id: egen temp=max(year_exit)
replace year_exit=temp
drop temp

gen exited=0
replace exited=1 if year>=year_exit
replace firm_age=firm_age[_n-1] +1 if firm_age==.

gen true_exit=L.exit
*use incorporation year to get entry

gen true_entry=0
replace true_entry=1 if year==incorporation_year

egen digit5=group(nic2008_5digit)
bysort id: egen temp=max(digit5)
replace digit5=temp
drop temp

egen digit4=group(nic2008_4digit)
bysort id: egen temp=max(digit4)
replace digit4=temp
drop temp

bysort digit5 year: egen num_exit_iy=total(true_exit)
bysort digit5 year: egen num_enter_iy=total(true_entry)

foreach var in  mpk_YK_high2_withinind { 
	bysort id: egen temp=max(`var')
	replace `var'=temp
	drop temp
	}
	

local count=1 
foreach x in YK { // lp acf 
	bysort digit5 mpk_`x'_high2_withinind year: egen num_exit_iyh`count'=total(true_exit)	
	bysort digit5 mpk_`x'_high2_withinind year: egen num_enter_iyh`count'=total(true_entry)
	local count=`count'+1
	}
		
bysort digit5 mpk_YK_high2_withinind: egen num_enter_iyh=total(true_entry)

egen iytag=tag(digit5 year)
egen iyhtag1=tag(digit5 year mpk_YK_high2_withinind)

bysort digit5 year: egen temp=max(treated)
replace treated=temp
drop temp

replace high_treated=mpk_YK_high2_withinind*treated

gen log_num_exit=log(num_exit_iy+1)
eststo clear

eststo clear	
eststo, title("reg0"): reghdfe num_exit_iy treated if iytag==1, absorb(year digit5) cluster(digit4 year)
	$trueobs		

sum num_exit_iy if iytag==1, d
estadd scalar mean=r(mean)

eststo, title("reg1"): reghdfe num_exit_iyh1 high_treated treated  mpk_YK_high2_withinind if iyhtag1==1, absorb(year digit5) cluster(digit4 year)
	$trueobs		

sum num_exit_iyh1 if iytag==1 & e(sample), d
estadd scalar mean=r(mean)


eststo, title("reg4"): reghdfe num_enter_iy treated if iytag==1, absorb(year digit5) cluster(digit4 year)
	$trueobs		

sum num_enter_iy if iytag==1, d
estadd scalar mean=r(mean)

estfe . est* , labels(digit5 "\hline\addl\textit{Fixed Effects} \\ \hspace{1.5em}Ind-5 digit" ///
year 			"\hspace{1.5em}Year ")
return list

	esttab  using "$result/entry_exit_update_03.tex", ///
	$gorgeous2 keep(_cons high_treated treated)  ///
	indicate( `r(indicate_fe)', labels($\checkmark$ --- )) 

}
*

***************************************************************
**********	HIGH MPK: UNCLEAN DATA	***************************
***************************************************************
{
use "$output/final_data_02", replace

foreach constrain in YK { 
replace high_treated=treated*mpk_`constrain'_high2_withinind
	
eststo clear	
foreach var in sale K wage mpk_`constrain'{
eststo, title("`var'"): reghdfe `var' high_treated treated , absorb($fe_firm) cluster($cluster)
	$trueobs		
	}
	$listfe
	esttab  using "$result/`constrain'_unclean.tex", ///
	$gorgeous2   ///
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))
}	
}
*

*******************************************************************************************************
**********		ROBUSTNESS OF CONSTRAINED FIRMS 		***************************
*******************************************************************************************************		
{	
*** 1. Split at the mean rather than the median or use continuous version?	
use "$output/final_data_03", replace
	
	gen YK 		= sa_sales_year_defl / sa_gross_fixed_assets_defl if year<=2001
	winsor YK 5
	egen YK_pre		= mean(YK) ,by(id)
	
	egen YK_ind4	= mean(YK_pre),by(nic2008_4digit)
	egen YK_ind5	= mean(YK_pre),by(nic2008_5digit)
	
	gen high1		= YK_pre>YK_ind4
	gen high2		= YK_pre>YK_ind5
	gen high3		= YK_ind4
	gen high4		= YK_ind5
	
	* tercile?
	egen high5		= xtile(YK_pre),nq(3) by(nic2008_4digit)
	forval Q=2/3{
	gen high5_q`Q'_treated = (high5==`Q')*treated
	}
	
	forval i=1/4{
	gen high`i'_treated= high`i'*treated
	}
	
eststo clear	
foreach var in sale K wage mpk_YK{

* Split at the mean 
eststo: reghdfe `var' high1_treated treated , absorb($fe_firm) cluster($cluster)
	$trueobs		
}
* Tercile 	
foreach var in sale K wage mpk_YK{
	eststo: reghdfe `var' high5_q2_treated high5_q3_treated treated , absorb($fe_firm) cluster($cluster)
	$trueobs		
}	

*** Produce table 
eststo clear
foreach var in sale K wage mpk_YK{
eststo: reghdfe `var' high1_treated treated , absorb($fe_firm) cluster($cluster)
	$trueobs		
eststo: reghdfe `var' high5_q2_treated high5_q3_treated treated , absorb($fe_firm) cluster($cluster)
	$trueobs		
}
	
	$listfe
	esttab  using "$result/mpk_other_cutoff.tex", ///
	$gorgeous2 order(treated high1_treated high5_q2_treated high5_q3_treated)  ///
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))
}
*

*******************************************************************************************************
**********		STACKED DiD 		***************************
*******************************************************************************************************	

*** Center the shock and stack everything 
	use "$output/final_data_03", replace
	gen inter		= mpk_YK_high2_withinind
	gen ind4 		= nic08_4digit
	drop if fdi==2006
	* center the shock 
	keep if year>=1995 & year<=2010 
	gen time 	= year -1994
	gen shock	= fdi_year_of_reform-1994
		replace shock = . if shock<0 // 1991 dereg
	gen XP = 1
	drop year
	save "$output/FDI2001", replace
	
	use "$output/final_data_03", replace
	gen inter		= mpk_YK_high2_withinind
	gen ind4 		= nic08_4digit
	drop if fdi==2001
	* center the shock 
	keep if year>=2000 & year<=2015
	gen time 	= year -1999
	gen shock	= fdi_year_of_reform-1999
		replace shock = . if shock<0 // 1991 dereg
	gen XP = 2
	drop year	
	save "$output/FDI2006", replace

*** Append and redefine FE 	
	use "$output/FDI2006", replace	
	append using "$output/FDI2001"
	
	* Stack vintage x time 
	egen XPtime	= group(XP time)

	* sizequartile by time 
	drop sizeq4yr
	egen sizeq4yr = group(msizeq4 time)
	
	* redefine id as a couple id-XP
	egen id2 = group(id XP)
	replace id = id2
	
	* Interaction 
	replace treated 		= time>=shock 
	replace high_treated	= treated*(mpk_YK_high2_withinind==1)
	
	save "$output/DiD_center", replace	
	

*** Regressions
	use "$output/DiD_center", replace	
		
	eststo clear 
	foreach Y in sale K wage mpk_YK{

	eststo: reghdfe `Y' high_treated treated ,a(id firm_age sizeq4yr ) cl(nic04_4digit time)
	$trueobs	
	eststo: reghdfe `Y' high_treated treated ,a(id firm_age sizeq4yr XPtime) cl(nic04_4digit time)
	$trueobs		
	}

	*List FE
	global listfe2 ///
		estfe . est* , labels(id "\hline\addl\textit{Fixed Effects} \\ \hspace{1.5em}Firm" ///
		firm_age 			"\hspace{1.5em}Firm Age " ///
		sizeq4yr 			"\hspace{1.5em}Size $\times$ \hspace{-0.3em}Year" ///		
		XPtime 				"\hspace{1.5em}Reform vintage $\times$ \hspace{-0.2em}Year")		
		return list
		
	$listfe2
	esttab  using "$result/stack_DiD.tex", ///
	$gorgeous2 keep(high_treated treated _cons)  ///
	indicate( `r(indicate_fe)', labels($\checkmark$ --- ))
	
	
	