




*** ESTTAB COMMAND 

	global gorgeous ///	
		cells(b(fmt(%8.2f) star) se(fmt(%8.2f) par))  ///
		starlevels(* .1 ** .05 *** .01) ///
		varwidth(50) nolines  posthead(\midrule) ///
		stats(N_true, fmt(%8.0fc) label("\vspace{0.1em}Observations")) ///
	fragment mlabels(none) collabels(none)  booktab label replace  ///	
		indicate( `r(indicate_fe)', labels($\checkmark$ $--$ )) nonotes


	global gorgeous2 ///	
		cells(b(fmt(%8.3f) star) se(fmt(%8.3f) par))  ///
		starlevels(  * .109 ** .054 *** .014) ///
		varwidth(50) nolines  posthead(\midrule) label replace	///
		fragment mlabels(none) collabels(none) drop(_cons) booktab   ///		
		stats(N_true, fmt(%8.0fc) label("\vspace{0.1em}Observations")) nonotes ///
		varlabels(, elist(high_treated \vspace{-.3cm}\\ treated \vspace{-.3cm}\\ LocalFIN_high_treated \vspace{-.3cm}\\ ///
		high_mpl \vspace{-.3cm}\\ high_mpk \vspace{-.3cm}\\))	
		
	global gorgeous3 ///	
		cells(b(fmt(%8.3f) star) se(fmt(%8.3f) par))  ///
		starlevels( * .100 ** .050 *** .010) ///
		varwidth(50) nolines  label replace	///
		fragment mlabels(none) collabels(none) drop(_cons) booktab   ///		
		stats(N_true, fmt(%8.0fc) label("\vspace{0.1em}Observations")) nonotes ///
		varlabels(, elist(high_treated \vspace{-.3cm}\\ treated \vspace{-.3cm}\\ LocalFIN_high_treated \vspace{-.3cm}\\ ///
		high_mpl \vspace{-.3cm}\\ high_mpk \vspace{-.3cm}\\))	
		
	global gorgeous4 ///	
		cells(b(fmt(%8.3f) star) se(fmt(%8.3f) par))  ///
		starlevels(* .109 ** .054 *** .014) ///
		varwidth(50) nolines   label replace	///
		fragment mlabels(none) collabels(none)   booktab   ///		
		stats(N_true, fmt(%8.0fc) label("\vspace{0.1em}Observations")) nonotes ///
		varlabels(, elist(high_treated \vspace{-.3cm}\\ treated \vspace{-.3cm}\\ LocalFIN_high_treated \vspace{-.3cm}\\ ///
		high_mpl \vspace{-.3cm}\\ high_mpk \vspace{-.3cm}\\))	
		
		
	global gorgeous5 ///	
		cells(b(fmt(a3) star) se(fmt(a3) par))  ///
		starlevels(  * .109 ** .054 *** .014) ///
		varwidth(50) nolines  posthead(\midrule) label replace	///
		fragment mlabels(none) collabels(none) drop(_cons) booktab   ///		
		stats(N_true, fmt(%8.0fc) label("\vspace{0.1em}Observations")) nonotes ///
		varlabels(, elist(high_treated \vspace{-.3cm}\\ treated \vspace{-.3cm}\\ LocalFIN_high_treated \vspace{-.3cm}\\ ///
		high_mpl \vspace{-.3cm}\\ high_mpk \vspace{-.3cm}\\))	

		
*** True nb of obs with regdfe
global trueobs ///
	estadd scalar N_true = e(N) + e(num_singletons)

global trueobs2 ///
	estadd scalar N_true = e(N) 
	
		global graphwhite ///
		graphregion(color(white))  bgcolor(white) ylabel( ,nogrid angle(0))

	global beta ///
		msymbol(diamond) msize(medium) mcolor(white) mlwidth(medium) ///
		connect(l) clpatter(longdash) sort 
		
	global beta_triangle ///
		msymbol(T) msize(medium) mcolor(white) mlwidth(medium) ///
		connect(l) clpatter(longdash) sort 
	
	global beta_square ///
		msymbol(S) msize(medium) mcolor(white) mlwidth(medium) ///
		connect(l) clpatter(longdash) sort 

	global beta_round ///
		msymbol(O) msize(medium) mcolor(white) mlwidth(medium) ///
		connect(l) clpatter(longdash) sort 
				
		
	global red ///
		mlcolor(maroon%90) lcolor(maroon%90)
	global blue ///
		lcolor(navy%80) mlcolor(navy%80)	
	global orange ///
		lcolor(orange*1.25) mlcolor(orange*1.25)
	global green ///
		lcolor(forest_green%80) mlcolor(forest_green%80)
	global purple ///
		lcolor(purple%60) mlcolor(purple%80)
	global yellow ///
		lcolor(sand%60) mlcolor(sand%60)
	global brown ///
		lcolor(brown%60) mlcolor(brown%60)
	global pink ///
		lcolor(magenta%60) mlcolor(magenta%60)
	global cyan ///
		lcolor(cyan%60) mlcolor(cyan%60)
	global ebg ///
		lcolor(ebg) mlcolor(ebg)
	global black ///
		lcolor(black%60) mlcolor(black%60)		
	global grey ///
		lcolor(gs8) mlcolor(gs8)					

	global light_grey ///
		lcolor(gs10%50) mlcolor(gs10%50)					

	global white ///
		lcolor(white%0) mlcolor(white%0)					

	global grey_light ///
		lcolor(gs10) mlcolor(gs10)					

	* lighter color for se 
	global light_red ///
		mlcolor(maroon%50) lcolor(maroon%50)
	global light_blue ///
		lcolor(navy%50) mlcolor(navy%50)	
	global light_orange ///
		lcolor(orange*1.25%50) mlcolor(orange*1.25%50)
	global light_green ///
		lcolor(forest_green%50) mlcolor(forest_green%50)
	global light_purple ///
		lcolor(purple%50) mlcolor(purple%50)
			
	global se ///
		lpattern(longdash) lwidth(thin)	
		
	global leg_white ///
	graphregion(color(white)) legend(region(lcolor(white) lwidth(vlarge)) symxsize(9) forcesize  ) leg(on)	
	
************************************************
************		PROGRAMS		************
************************************************
{

*** Index ;
  capture program drop index
  program define index
    egen `1'_`2' 	= max((`1')*(year==`2')),by(id)
	gen I_`1'		= `1'/`2'
	drop `1'_`2'
  end
  
*** Trim program (trim varname [1,5]);
  capture program drop trim_var
  program define trim_var
    quiet sum `1', detail
	gen `1'_t`2' = `1'
    replace `1'_t`2' = . if (`1' < r(p1) | `1' > r(p99)) & `2' == 1
    replace `1'_t`2' = . if (`1' < r(p5) | `1' > r(p95)) & `2' == 5	
    replace `1'_t`2' = . if (`1' < r(p10) | `1' > r(p90)) & `2' == 10		
  end
  
 *** Trim program (trim varname [1,5]);
  capture program drop trim_novar
  program define trim_novar
    quiet sum `1', detail
    replace `1' = . if (`1' < r(p1) | `1' > r(p99)) & `2' == 1
    replace `1' = . if (`1' < r(p5) | `1' > r(p95)) & `2' == 5	
  end
 

*** Winsor program (winsor varname [1,5]);
  capture program drop winsor
  program define winsor
    quiet sum `1', detail
    replace `1' = r(p1)  if `1' ~= . & (`1' < r(p1))  & `2' == 1
    replace `1' = r(p99) if `1' ~= . & (`1' > r(p99)) & `2' == 1
    replace `1' = r(p5)  if `1' ~= . & (`1' < r(p5))  & `2' == 5
    replace `1' = r(p95) if `1' ~= . & (`1' > r(p95)) & `2' == 5
    replace `1' = r(p10)  if `1' ~= . & (`1' < r(p10))  & `2' == 10
    replace `1' = r(p90) if `1' ~= . & (`1' > r(p90)) & `2' == 10	
  end
 
*** Cleaning program: windsorize at 5*interquartile range
	capture program drop clean
	program define clean
	sum `1',d
	replace `1'=(r(p50)-5*(r(p75)-r(p25))) if `1'<(r(p50)-5*(r(p75)-r(p25)))&`1'~=.
	replace `1'=(r(p50)+5*(r(p75)-r(p25))) if `1'>(r(p50)+5*(r(p75)-r(p25)))&`1'~=.
	end
 
*** LEGEND	
capture program drop FE2                
program define FE2    
qui estadd local firm_FE "Yes" , replace 
qui estadd local year_FE "Yes" , replace 
qui estadd local indyear_FE "--" , replace 
end 


**** Identify string value in numbers
  capture program drop string
   program define string
   destring `1', generate (new`1') force
   list `1' if new`1'>=.
	end
	
*** Diff in Diff Graph
*** Define macro 
capture program drop ddgraph
program define ddgraph

capture drop time*
capture drop coefftime*
capture drop coefftimeinf*
capture drop coefftimesup*
capture drop se

local avant = `2'
local apres = `3'
local T = `avant'+`apres'


forvalues t = 1(1)`T' {
qui gen time`t' = (year==yearshock+`t'-`avant'-1)
}
capture drop timepost timepre time
gen timepost = (year>yearshock+`apres'-1)
				
reghdfe `1' time* , a($FE) vce(cluster gvkey) 

qui gen time			= 0 if _n==`avant'+1
qui gen coefftime		= .
qui gen coefftimeinf	= . 
qui gen coefftimesup	= . 

forvalues t = 1(1)`T' {
qui replace time		= `t'-`avant'-1 if _n==`t'
qui replace coefftime 	=  _b[time`t'] if _n==`t'
qui replace coefftimeinf=  (_b[time`t'] - 1.96*_se[time`t']) if _n==`t'
qui replace coefftimesup=  (_b[time`t'] + 1.96*_se[time`t']) if _n==`t'
}
qui replace time		= `apres' if _n==`T'+1
replace coefftime=_b[timepost] if _n==`T'+1
qui replace coefftimeinf=  (_b[timepost] - 1.96*_se[timepost]) if _n==`T'+1
qui replace coefftimesup=  (_b[timepost] + 1.96*_se[timepost]) if _n==`T'+1

gen coefftimeb 		= coefftime 	if time<0
gen coefftimeinfb 	= coefftimeinf 	if time<0
gen coefftimesupb 	= coefftimesup 	if time<0

gen coefftimea 		= coefftime 	if time>=0
gen coefftimeinfa 	= coefftimeinf 	if time>=0
gen coefftimesupa 	= coefftimesup 	if time>=0

label var coefftime "Point Estimate"
label var coefftimeinf "90% conf. interval"
label var coefftimesup "90% conf. interval"
label var coefftimeb "Point Estimate"
label var coefftimea "Point Estimate"
label var coefftimeinfb "90% conf. interval"
label var coefftimesupb "90% conf. interval"
label var coefftimeinfa "90% conf. interval"
label var coefftimesupa "90% conf. interval"

end 
	
}
*
************************************************
************		D-i-D Graph		************
************************************************
{
capture program drop averageDD
program define averageDD
 
capture drop *time* 
capture drop coeff*
capture drop se*_
local avant = `2'
local apres = `3'

*local avant = 4
*local apres = 4

local T = `avant'+`apres'+1
forvalues t=1(1)`T'{
if `t'!=`avant'+1{
qui gen time`t'		= (year==yearshock+`t'-`avant'-1)

}
}
capture drop timepost timepre time
gen timepost 	= (year>yearshock+`apres')
gen timepre 	= (year<yearshock-`avant')

reghdfe `1' $X time* [aw=$WEIGHT],a($FE) vce(cluster $cluster)
*reghdfe ln_branches_pub time* ,a($FE) vce(cluster $cluster)


qui gen time		= 0 if _n==`avant'+2
qui gen coeff		= 0 if _n==`avant'+2
qui gen se_			= 0 if _n==`avant'+2
qui gen coeffinf	= 0 if _n==`avant'+2
qui gen coeffsup	= 0 if _n==`avant'+2

forvalues t=1(1)`T'{
if `t'!=`avant'+1{
qui replace time		= `t'-`avant'-1 if _n==`t'+1
qui replace coeff		= _b[time`t'] if _n==`t'+1
qui replace se_			= _se[time`t'] if _n==`t'+1
qui replace coeffinf	= _b[time`t']-1.645*_se[time`t'] if _n==`t'+1
qui replace coeffsup	= _b[time`t']+1.645*_se[time`t'] if _n==`t'+1
}
}

* adjust pre
qui replace time		= -`avant'-1 if  _n==1
qui replace coeff		= _b[timepre] if time==-`avant'-1
qui replace se_			= _se[timepre] if  _n==1
qui replace coeffinf	= _b[timepre]-1.645*_se[timepre] if _n==1
qui replace coeffsup	= _b[timepre]+1.645*_se[timepre] if _n==1


* adjust post
qui replace time		= `apres'+1 if  _n==`T'+2
qui replace coeff		= _b[timepost] if  _n==`T'+2
qui replace se_			= _se[timepost] if  _n==`T'+2
qui replace coeffinf	= _b[timepost]-1.645*_se[timepost] if _n==`T'+2
qui replace coeffsup	= _b[timepost]+1.645*_se[timepost] if _n==`T'+2

preserve
keep time coeff* se*
keep if time<.
save "$result/`4'",replace

restore
end

// MARGINAL 
capture program drop marginalDD
program define marginalDD
capture drop temp yearshock*
* first year of the change
*gen temp       = year if (shock==1) 
*egen yearshock = min(temp),by(id)
 
capture drop *time* 
capture drop se*_
local avant = `2'
local apres = `3'


local T = `avant'+`apres'+1
forvalues t=1(1)`T'{
if `t'!=`avant'+1{
qui gen time`t'		= (year==yearshock+`t'-`avant'-1)
qui gen timeX`t'	= (year==yearshock+`t'-`avant'-1)*inter

}
}
capture drop timepost timepre time
gen timepost 	= (year>yearshock+`apres')
gen timepre 	= (year<yearshock-`avant')
gen timeXpost 	= (year>yearshock+`apres')*inter
gen timeXpre 	= (year<yearshock-`avant')*inter


reghdfe `1' time* ,a($FE) vce(cluster $cluster)


qui gen time			= 0 if _n==`avant'+2
qui gen coefftime		= 0 if _n==`avant'+2
qui gen se_				= 0 if _n==`avant'+2
qui gen coefftimeinf	= 0 if _n==`avant'+2
qui gen coefftimesup	= 0 if _n==`avant'+2
qui gen coefftimeX		= 0 if _n==`avant'+2
qui gen seX_			= 0 if _n==`avant'+2
qui gen coefftimeXinf	= 0 if _n==`avant'+2
qui gen coefftimeXsup	= 0 if _n==`avant'+2

forvalues t=1(1)`T'{
if `t'!=`avant'+1{
qui replace time			= `t'-`avant'-1 if _n==`t'+1
qui replace coefftime		= _b[time`t'] if _n==`t'+1
qui replace se_				= _se[time`t'] if _n==`t'+1
qui replace coefftimeinf	= _b[time`t']-1.645*_se[time`t'] if _n==`t'+1
qui replace coefftimesup	= _b[time`t']+1.645*_se[time`t'] if _n==`t'+1

qui replace coefftimeX		= _b[timeX`t'] if _n==`t'+1
qui replace seX_			= _se[timeX`t'] if _n==`t'+1
qui replace coefftimeXinf	= _b[timeX`t']-1.645*_se[timeX`t'] if _n==`t'+1
qui replace coefftimeXsup	= _b[timeX`t']+1.645*_se[timeX`t'] if _n==`t'+1

}
}

* adjust pre
qui replace time			= -`avant'-1 if  _n==1
qui replace coefftimeX		= _b[timeXpre] if time==-`avant'-1
qui replace seX_			= _se[timeXpre] if  _n==1
qui replace coefftimeXinf	= _b[timeXpre]-1.645*_se[timeXpre] if _n==1
qui replace coefftimeXsup	= _b[timeXpre]+1.645*_se[timeXpre] if _n==1
qui replace coefftime		= _b[timepre] if time==-`avant'-1
qui replace se_				= _se[timepre] if  _n==1
qui replace coefftimeinf	= _b[timepre]-1.645*_se[timepre] if _n==1
qui replace coefftimesup	= _b[timepre]+1.645*_se[timepre] if _n==1


* adjust post
qui replace time			= `apres'+1 if  _n==`T'+2
qui replace coefftimeX		= _b[timeXpost] if  _n==`T'+2
qui replace seX_			= _se[timeXpost] if  _n==`T'+2
qui replace coefftimeXinf	= _b[timeXpost]-1.645*_se[timeXpost] if _n==`T'+2
qui replace coefftimeXsup	= _b[timeXpost]+1.645*_se[timeXpost] if _n==`T'+2

qui replace coefftime		= _b[timepost] if  _n==`T'+2
qui replace se_				= _se[timepost] if  _n==`T'+2
qui replace coefftimeinf	= _b[timepost]-1.645*_se[timeXpost] if _n==`T'+2
qui replace coefftimesup	= _b[timepost]+1.645*_se[timeXpost] if _n==`T'+2

preserve
keep time coefftime* se*
keep if time<.
save "$result/`4'",replace

restore
end
}
*
	global beta ///
		msymbol(diamond) msize(medium) mcolor(white) mlwidth(medthick) ///
		connect(l) clpatter(longdash) sort 
	global red ///
		mlcolor(maroon) lcolor(maroon)
	global blue ///
		lcolor(navy%60) mlcolor(navy%60)	
	global orange ///
		lcolor(orange*1.25) mlcolor(orange*1.25)
	global green ///
		lcolor(forest_green%60) mlcolor(forest_green%60)
	global purple ///
		lcolor(purple%60) mlcolor(purple%60)
	global yellow ///
		lcolor(sand%60) mlcolor(sand%60)
	global brown ///
		lcolor(brown%60) mlcolor(brown%60)
	global pink ///
		lcolor(magenta%60) mlcolor(magenta%60)
	global cyan ///
		lcolor(cyan%80) mlcolor(cyan%80)
	global ebg ///
		lcolor(ebg) mlcolor(ebg)
	global black ///
		lcolor(black%60) mlcolor(black%60)
		
	global grey ///
		lcolor(gs10) mlcolor(gs8)					
	global se ///
		lpattern(longdash) lcolor(gs8) lwidth(thin)	
	global leg_white ///
	legend(region(lcolor(white) lwidth(vlarge)) symxsize(9) forcesize  ) leg(on)	
